from defence360agent.contracts.config import ConfigFile


def migrate(migrator, database, fake=False, **kwargs):
    if fake:
        return
    config_file = ConfigFile()
    config = config_file.config_to_dict()
    if not config:
        return
    dos_settings = config.setdefault("DOS", {})
    dos_settings["enabled"] = False

    config_file.dict_to_config(config, validate=False)


def rollback(migrator, database, fake=False, **kwargs):
    pass
